Get report by ID

GET
/reports/{id}

Fetch report details. Poll until status is REPORT_AVAILABLE, then use GET /reports/{id}/download to download the CSV.

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth access token.

Path Parameters

id*string

Identifier of the report.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

OK - Successful request, returning given report's details.

application/json
  1. response
id*string

Identifier of the report.

Formatuuid
type*"WALLET"

Report type.

Value in"WALLET"
walletId*string

Identifier of the wallet covered by the report.

Formatuuid
startDate*string

Inclusive start of the report period, UTC.

Formatdate-time
endDate*string

Exclusive end of the report period, UTC.

Formatdate-time
status*ReportStatusEnum

Report status.

ValueMeaning
REPORT_REQUESTEDAccepted, generation not started.
REPORT_GENERATINGThe file is being generated.
REPORT_AVAILABLEThe file is available for 7 days after generation.
REPORT_FAILEDGeneration failed. Request the report again.
REPORT_EXPIREDThe file expired. Request the report again.
Value in"REPORT_REQUESTED""REPORT_GENERATING""REPORT_AVAILABLE""REPORT_FAILED""REPORT_EXPIRED"
createdAt*string

Date of report creation.

Formatdate-time
generatedAt*|

Date of report generation. Null until the file is generated.

Formatdate-time
curl -X GET "https://example.com/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "X-Volt-Api-Version: 1"

{  "id": "84a049a4-bcfb-42f2-80ee-0c126d55e7ed",  "type": "WALLET",  "walletId": "6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6",  "startDate": "2026-08-01T00:00:00Z",  "endDate": "2026-09-01T00:00:00Z",  "status": "REPORT_AVAILABLE",  "createdAt": "2026-09-02T10:12:03Z",  "generatedAt": "2026-09-02T10:12:05Z"}